var isTopik = false;

$(".button-back").hide();
$(".button-next").hide();
$(".medhide").hide()


$(document).ready(function (){
    $selecthead = document.querySelectorAll('[id*="head-"]');
    // console.log($selecthead);

    $selectstep = document.querySelectorAll('[id*="step-"]');
    // console.log($selectstep);

    var arrayHead = [];
    var arrayStep = [];

    for(var i = 0; i < $selectstep.length; i++){
        arrayHead[i] = $selecthead[i].id;
        arrayStep[i] = $selectstep[i].id;
    }
    // console.log(arrayStep[0]);

    // $("#"+arrayHead[0]).removeClass('stepy-active');
    // $("#"+arrayHead[1]).addClass('stepy-active');
    loadpengajuans(nim, arrayHead, arrayStep);
    loadproseskp(nim, arrayHead, arrayStep);
    
    
})


function loadproseskp(nim, arrayHead, arrayStep){
    // console.log(arrayHead);
    var isObject = {};
    isObject.nim = nim;
    // console.log(isObject.nim) 
    var status;
    $.ajax({
        type: 'POST',
        dataType: 'json',
        url: baseURL + '/jsondata/loadproseskp',
        // async: false,
        data: {
            iparam	    : cryptoEncrypt(PHRASE, isObject),
        },
        success: function(response){
                
            if(response.code == CODE_SUCCESS){
                let result  = cryptoDecrypt(PHRASE, response.data);
                let data    = result.data;
                let datas   = data[0];
                // console.log(datas.id_kp)
                // loadtopik(datas.id_kp);
                $("#name").html(datas.nama);
                $("#nimMhs").html(datas.nim);
                $("#program-studi").html(datas.nama_prodi)

                if(datas.file_foto != null || datas.file_foto != ""){
                    $("#img-mhsw").attr('src', "/data/profilepicture/"+datas.file_foto);
                }

                
                if(datas.id_kp != 0 && datas.id_kp != "" && datas.id_kp != null ){
                    
                    if(datas.status_pengajuan == 104 && datas.id_pembimbing == null){
                        if(loadtopik(datas.id_kp) == false){
                            $("#infopengajuan").html('Pendaftaran dikonfirmasi akademik, silahkan input topik kerja praktik <a href="'+baseURL+'/mahasiswa/uploadberkas">disini</a>.');
                        } else {
                            $("#infopengajuan").html('Topik telah diinput, silahkan hubungi TU untuk pemilihan pembimbing');
                        }
                    }else if(datas.approve_proses_bimbingan == 1 && datas.id_pembimbing != 0 && datas.isvalidtu == 62){
                        $("#"+arrayHead[0]).removeClass('stepy-active');
                        $("#"+arrayHead[1]).addClass('stepy-active');
                        $("#"+arrayStep[0]).hide();
                        $("#"+arrayStep[1]).show();
                        $namapembimbing = setgelardosen(datas.dpembimbing, datas.bpembimbing, datas.dosen_pembimbing);
                        $("#namapembimbing").html($namapembimbing);
                        $("#infopembimbing").html('Proses bimbingan selesai, silahkan upload berkas untuk pendaftaran seminar <a href="'+baseURL+'/mahasiswa/uploadberkas">disini</a>.');
                    } else if(datas.isvalidtu == 53){
                        $("#"+arrayHead[0]).removeClass('stepy-active');
                        $("#"+arrayHead[2]).addClass('stepy-active');
                        $("#"+arrayStep[0]).hide();
                        $("#"+arrayStep[2]).show();
                        $("#infoberkas").html('Anda telah mengupload berkas, silahkan hubungi TU untuk melakukan validasi');
                    } else if(datas.id_pembimbing != 0 && datas.approve_proses_bimbingan != 0 && datas.isvalidtu != 53 && datas.isvalidtu != 52 && datas.isvalidtu != 51 && datas.isvalidtu != 53){
                        $("#"+arrayHead[0]).removeClass('stepy-active');
                        $("#"+arrayHead[1]).addClass('stepy-active');
                        $("#"+arrayStep[0]).hide();
                        $("#"+arrayStep[1]).show();
                        $namapembimbing = setgelardosen(datas.dpembimbing, datas.bpembimbing, datas.dosen_pembimbing);
                        $("#namapembimbing").html($namapembimbing);
                        $("#infopembimbing").html('Anda telah memiliki pembimbing, silahkan melakukan proses bimbingan <a href="'+baseURL+'/mahasiswa/prosesbimbingan">disini</a>.');
                    }  else if(datas.isvalidtu == 52){
                        $("#"+arrayHead[0]).removeClass('stepy-active');
                        $("#"+arrayHead[2]).addClass('stepy-active');
                        $("#"+arrayStep[0]).hide();
                        $("#"+arrayStep[2]).show();
                        $("#infoberkas").html('Berkas anda tidak valid, silahkan update berkas <a href="'+baseURL+'/mahasiswa/uploadberkas">disini</a>.');
                    } else if(datas.isvalidtu == 51 && datas.isjadwal == 72){
                        $("#"+arrayHead[0]).removeClass('stepy-active');
                        $("#"+arrayHead[2]).addClass('stepy-active');
                        $("#"+arrayStep[0]).hide();
                        $("#"+arrayStep[2]).show();
                        $("#infoberkas").html('Berkas anda valid, silahkan menunggu TU untuk membuat jadwal persentasi.');
                    }else if(datas.isvalidtu == 51 && datas.isjadwal == 71 && datas.id_nilai == null){
                        $("#"+arrayHead[0]).removeClass('stepy-active');
                        $("#"+arrayHead[3]).addClass('stepy-active');
                        $("#"+arrayStep[0]).hide();
                        $("#"+arrayStep[3]).show();
                        $("#infojadwal").html('Jadwal persentasi telah dibuat, silahkan cek email.');
                    } else if(datas.id_nilai != 0 ){
                        if(datas.nilai_akhir == null){
                            $("#"+arrayHead[0]).removeClass('stepy-active');
                            $("#"+arrayHead[4]).addClass('stepy-active');
                            $("#"+arrayStep[0]).hide();
                            $("#"+arrayStep[4]).show();
                            $("#infonilai").html('Nilai sedang dalam proses penginputan.');
                        } else if(datas.nilai_akhir != null){
                            $("#"+arrayHead[0]).removeClass('stepy-active');
                            $("#"+arrayHead[4]).addClass('stepy-active');
                            $("#"+arrayStep[0]).hide();
                            $("#"+arrayStep[4]).show();
                            $("#infonilai").html('Kerja Praktik Selesai, Nilai Akhir:');
                            $("#nilaiakhir").html(datas.nilai_akhir);
                        }
                    }

                    if(datas.status_kp == 123){
                        for(var i = 0; i< arrayHead.length; i++){
                            $("#"+arrayHead[i]).removeClass('stepy-active');
                            $("#"+arrayStep[i]).hide();
                        }
                        $("#"+arrayHead[0]).addClass('stepy-active');
                        $("#"+arrayStep[0]).show();
                        $("#infopengajuan").html('Kerja Praktik Gagal, silahkan mengajukan kerja praktik kembali <a href="'+baseURL+'/mahasiswa/pengajuankp">link.</a>');

                    }else if(datas.status_kp == 122){
                        $("#"+arrayHead[0]).removeClass('stepy-active');
                            $("#"+arrayHead[4]).addClass('stepy-active');
                            $("#"+arrayStep[0]).hide();
                            $("#"+arrayStep[4]).show();
                            $("#infonilai").html('Kerja Praktik Selesai, Nilai Akhir:');
                            $("#nilaiakhir").html(datas.nilai_akhir);
                    }

                }

                
            } else {
                // $(".panel-info").hide();
                // $("#updateberkas").hide();
                // swal({
                //     title: "Alert",
                //     text:  response.info+ " Silahkan coba kembali :)",
                //     confirmButtonColor: "#2196F3",
                //     type: "error"
                // });
            }

            
            
        },
        error: function(xhr) {
            loaderPage(false);
            if(xhr.status != 200){
                swal({
                    title: "Galat",
                    text:  xhr.status+"-"+xhr.statusText+"<br> Silahkan coba kembali :)",
                    confirmButtonColor: "#2196F3",
                    type: "error"
                });                        
            }
        }
    });

}

function loadpengajuans(nim, arrayHead, arrayStep){
    // console.log(arrayHead);
    var isObject = {};
    isObject.nim = nim;
    // console.log(isObject.nim) 
    var status;
    $.ajax({
        type: 'POST',
        dataType: 'json',
        url: baseURL + '/jsondata/loadpengajuans',
        // async: false,
        data: {
            iparam	    : cryptoEncrypt(PHRASE, isObject),
        },
        success: function(response){
                
            if(response.code == CODE_SUCCESS){
                let result  = cryptoDecrypt(PHRASE, response.data);
                let data    = result.data;
                let datas   = data[0];
                // console.log(datas)

                $("#name").html(datas.nama);
                $("#nimMhs").html(datas.nim);
                $("#program-studi").html(datas.nama_prodi)

                if(datas.id_pengajuan != 0 || datas.id_pengajuan != null){
                    if(datas.status_pengajuan == 91){
                        $("#infopengajuan").html(`Anda telah mengajukan surat permohonan, silahkan hubungi TU untuk generate surat`);
                    }else if(datas.status_pengajuan == 92){
                        $("#infopengajuan").html((datas.status).toLowerCase()+`, silahkan download surat pengajuan <a href="`+baseURL+`/mahasiswa/pengajuankp">disini</a>`);
                    } else if(datas.status_pengajuan == 102){
                        $("#infopengajuan").html((datas.status).toLowerCase()+`, silahkan melakukan pengajuan ke perusahaan lain <a href="`+baseURL+`/mahasiswa/pengajuankp">disini</a>`)
                    }
                }

                
            } else {
                // $(".panel-info").hide();
                // $("#updateberkas").hide();
                // swal({
                //     title: "Alert",
                //     text:  response.info+ " Silahkan coba kembali :)",
                //     confirmButtonColor: "#2196F3",
                //     type: "error"
                // });
            }

            
            
        },
        error: function(xhr) {
            loaderPage(false);
            if(xhr.status != 200){
                swal({
                    title: "Galat",
                    text:  xhr.status+"-"+xhr.statusText+"<br> Silahkan coba kembali :)",
                    confirmButtonColor: "#2196F3",
                    type: "error"
                });                        
            }
        }
    });

}

function setgelardosen(depan, belakang, nama){
    $namagelar = '';
    // console.log(depan)
    if(depan == null){
        $namagelar = nama;
    } else {
        $namagelar = depan+" "+nama;
    }

    if(belakang == null ){
        $namagelar = $namagelar;
    } else {
        $namagelar = $namagelar+", "+belakang;
    }
    // console.log()
    return $namagelar;
}


// loadtopik(idkp);
function loadtopik(idkp){
    var isObject = {};
    isObject.idkp = idkp;
    var topic = false;
    var status;
    $.ajax({
        type: 'POST',
        dataType: 'json',
        url: baseURL + '/jsondata/loadtopik',
        async: false,
        data: {
            iparam	    : cryptoEncrypt(PHRASE, isObject),
        },
        success: function(response){
                
            if(response.code == CODE_SUCCESS){
                let result  = cryptoDecrypt(PHRASE, response.data);
                let data    = result.data;
               
                topic = true;
            } 

            
            
        },
        error: function(xhr) {
            loaderPage(false);
            if(xhr.status != 200){
                swal({
                    title: "Galat",
                    text:  xhr.status+"-"+xhr.statusText+"<br> Silahkan coba kembali :)",
                    confirmButtonColor: "#2196F3",
                    type: "error"
                });                        
            }
        }
    });

    return topic;
}